Package: groovy.org.codenarc.rule.junit

## [Groovy] Class UseAssertFalseInsteadOfNegationRule

- groovy.org.codenarc.rule.junit.UseAssertFalseInsteadOfNegationRule

- In unit tests, if a condition is expected to be false then there is no sense using assertTrue with the negation operator. For instance, assertTrue(!condition) can always be simplified to assertFalse(condition)

  Authors:
    Hamlet D'Arcy

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `applyToClassNames`
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### String applyToClassNames

    - #### Class astVisitorClass

    - #### String name

    - #### int priority